<?php

namespace Artmark\Content\Forms;

use Artmark\Forms\Form;

use Artmark\Content\Models\Content;

/**
 * Description of ContentForm
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
class ContentForm extends Form
{
    public function addContentFields()
    {
        $this->newText('title')->setId('title')
                ->setLabelText(__('admin/content.title_field'))
                ->setMaxLength(Content::MAXIMAL_TITLE_LENGTH)
                ->setRequired();
        
        $this->newTextArea('keywords')->setId('keywords')
                ->setLabelText(__('admin/content.keywords_field'));
        
        $this->newTextArea('description')->setId('description')
                ->setLabelText(__('admin/content.description_field'));
        
        $this->newTextArea('body')->setId('body')
                ->setLabelText(__('admin/content.body_field'));
    }
}
